import { FocusableValue } from '../../abstract/focusable-value';
/**
 * HTML string of the checkbox component.
 */
export declare const checkboxComponentHtml: string;
/**
 * LF checkbox component.
 */
export declare class CheckboxComponent extends FocusableValue {
    /**
     * Action to run whenever the value of the checkbox changes.
     * @param evt `change` event.
     */
    _onCheckboxChange(evt: any): void;
    /**
     * @override
     */
    protected validatePath(): void;
}
