import { FocusableValue } from '../../abstract/focusable-value';
/**
 * HTML string of the text component.
 */
export declare const textComponentHtml: string;
/**
 * Component used for editing a "single line" LF string.
 */
export declare class TextComponent extends FocusableValue {
    /**
     * Action to run on every `input` event of the text input.
     * @param evt `input` event.
     */
    _onInput(evt: any): void;
    /**
     * @override
     */
    protected validatePath(): void;
}
